Bug 26660 - Update request: kernel-5.6.14-2.mga7
Summary: Update request: kernel-5.6.14-2.mga7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA7-64-OK MGA7-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2020-05-21 15:17 CEST by Thomas Backlund
Modified: 2020-05-24 20:06 CEST (History)
8 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-05-21 15:17:06 CEST
Security and bugfixes, and a wireguard-tools update, advisory will follow:


SRPMS:
kernel-5.6.14-2.mga7.src.rpm
kmod-virtualbox-6.0.20-6.mga7.src.rpm
kmod-xtables-addons-3.9-4.mga7.src.rpm
wireguard-tools-1.0.20200513-1.mga7.src.rpm



i586:
bpftool-5.6.14-2.mga7.i586.rpm
cpupower-5.6.14-2.mga7.i586.rpm
cpupower-devel-5.6.14-2.mga7.i586.rpm
kernel-desktop-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-desktop586-devel-latest-5.6.14-2.mga7.i586.rpm
kernel-desktop586-latest-5.6.14-2.mga7.i586.rpm
kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-desktop-devel-latest-5.6.14-2.mga7.i586.rpm
kernel-desktop-latest-5.6.14-2.mga7.i586.rpm
kernel-doc-5.6.14-2.mga7.noarch.rpm
kernel-server-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-server-devel-5.6.14-2.mga7-1-1.mga7.i586.rpm
kernel-server-devel-latest-5.6.14-2.mga7.i586.rpm
kernel-server-latest-5.6.14-2.mga7.i586.rpm
kernel-source-5.6.14-2.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.6.14-2.mga7.noarch.rpm
kernel-userspace-headers-5.6.14-2.mga7.i586.rpm
libbpf0-5.6.14-2.mga7.i586.rpm
libbpf-devel-5.6.14-2.mga7.i586.rpm
perf-5.6.14-2.mga7.i586.rpm

virtualbox-kernel-5.6.14-desktop-2.mga7-6.0.20-6.mga7.i586.rpm
virtualbox-kernel-5.6.14-desktop586-2.mga7-6.0.20-6.mga7.i586.rpm
virtualbox-kernel-5.6.14-server-2.mga7-6.0.20-6.mga7.i586.rpm
virtualbox-kernel-desktop586-latest-6.0.20-6.mga7.i586.rpm
virtualbox-kernel-desktop-latest-6.0.20-6.mga7.i586.rpm
virtualbox-kernel-server-latest-6.0.20-6.mga7.i586.rpm

xtables-addons-kernel-5.6.14-desktop-2.mga7-3.9-4.mga7.i586.rpm
xtables-addons-kernel-5.6.14-desktop586-2.mga7-3.9-4.mga7.i586.rpm
xtables-addons-kernel-5.6.14-server-2.mga7-3.9-4.mga7.i586.rpm
xtables-addons-kernel-desktop586-latest-3.9-4.mga7.i586.rpm
xtables-addons-kernel-desktop-latest-3.9-4.mga7.i586.rpm
xtables-addons-kernel-server-latest-3.9-4.mga7.i586.rpm

wireguard-tools-1.0.20200513-1.mga7.i586.rpm



x86_64:
bpftool-5.6.14-2.mga7.x86_64.rpm
cpupower-5.6.14-2.mga7.x86_64.rpm
cpupower-devel-5.6.14-2.mga7.x86_64.rpm
kernel-desktop-5.6.14-2.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.x86_64.rpm
kernel-desktop-devel-latest-5.6.14-2.mga7.x86_64.rpm
kernel-desktop-latest-5.6.14-2.mga7.x86_64.rpm
kernel-doc-5.6.14-2.mga7.noarch.rpm
kernel-server-5.6.14-2.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-5.6.14-2.mga7-1-1.mga7.x86_64.rpm
kernel-server-devel-latest-5.6.14-2.mga7.x86_64.rpm
kernel-server-latest-5.6.14-2.mga7.x86_64.rpm
kernel-source-5.6.14-2.mga7-1-1.mga7.noarch.rpm
kernel-source-latest-5.6.14-2.mga7.noarch.rpm
kernel-userspace-headers-5.6.14-2.mga7.x86_64.rpm
lib64bpf0-5.6.14-2.mga7.x86_64.rpm
lib64bpf-devel-5.6.14-2.mga7.x86_64.rpm
perf-5.6.14-2.mga7.x86_64.rpm

virtualbox-kernel-5.6.14-desktop-2.mga7-6.0.20-6.mga7.x86_64.rpm
virtualbox-kernel-5.6.14-server-2.mga7-6.0.20-6.mga7.x86_64.rpm
virtualbox-kernel-desktop-latest-6.0.20-6.mga7.x86_64.rpm
virtualbox-kernel-server-latest-6.0.20-6.mga7.x86_64.rpm

xtables-addons-kernel-5.6.14-desktop-2.mga7-3.9-4.mga7.x86_64.rpm
xtables-addons-kernel-5.6.14-server-2.mga7-3.9-4.mga7.x86_64.rpm
xtables-addons-kernel-desktop-latest-3.9-4.mga7.x86_64.rpm
xtables-addons-kernel-server-latest-3.9-4.mga7.x86_64.rpm

wireguard-tools-1.0.20200513-1.mga7.x86_64.rpm
Comment 1 Jose Manuel López 2020-05-21 16:14:58 CEST
Hi,

I have installed in Mga7-x64 Vbox. No issues, works fine.

CC: (none) => joselp

Comment 2 Len Lawrence 2020-05-21 16:52:08 CEST
5.6.14-desktop-2.mga7 x86_64
Intel Core i7-4790
NVIDIA GM204 [GeForce GTX 970] driver: nvidia v: 430.64
Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet 
  driver: r8169 

Installation and reboot to Mate without problems.
Desktop applications working fine.  All stress tests performed well.

CC: (none) => tarazed25

Comment 3 Len Lawrence 2020-05-21 18:19:13 CEST
Dell Alienware X51
Intel Core i7-2600
NVIDIA GF114 [GeForce GTX 555] driver: nvidia v: 390.132
Qualcomm Atheros AR9285 Wireless Network Adapter driver: ath9k

Upgrading from 5.6.12-desktop-1.mga7

- bpftool-5.6.14-2.mga7.x86_64
- cpupower-5.6.14-2.mga7.x86_64
- cpupower-devel-5.6.14-2.mga7.x86_64
- kernel-desktop-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.6.14-2.mga7.x86_64
- kernel-desktop-latest-5.6.14-2.mga7.x86_64
- kernel-doc-5.6.14-2.mga7.noarch
- kernel-firmware-nonfree-20200519-1.mga7.nonfree.noarch
- kernel-userspace-headers-5.6.14-2.mga7.x86_64
- lib64bpf-devel-5.6.14-2.mga7.x86_64
- lib64bpf0-5.6.14-2.mga7.x86_64
- perf-5.6.14-2.mga7.x86_64
- virtualbox-kernel-5.6.14-desktop-2.mga7-6.0.20-6.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.0.20-6.mga7.x86_64
- wireguard-tools-1.0.20200513-1.mga7.x86_64
- xtables-addons-kernel-5.6.14-desktop-2.mga7-3.9-4.mga7.x86_64
- xtables-addons-kernel-desktop-latest-3.9-4.mga7.x86_64

Rebooted smoothly.

wifi and NFS shares working fine.  Desktop running OK.
glmark2 and four concurrent stress tests completed.  One scheduled update.
Comment 4 Len Lawrence 2020-05-21 23:20:48 CEST
5.6.14-desktop-2.mga7 x86_64
Intel Core i9-7900X
NVIDIA GP102 [GeForce GTX 1080 Ti] driver: nvidia v: 430.64 
Intel Ethernet I219-V driver: e1000e

No problems rebooting and the desktop functions perfectly.

stress tests are OK, glmark2 runs.
Comment 5 James Kerr 2020-05-22 14:58:51 CEST
on mga7-64  kernel-desktop  plasma

Packages installed cleanly:
- cpupower-5.6.14-2.mga7.x86_64
- kernel-desktop-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.6.14-2.mga7.x86_64
- kernel-desktop-latest-5.6.14-2.mga7.x86_64
- kernel-userspace-headers-5.6.14-2.mga7.x86_64
- virtualbox-kernel-5.6.14-desktop-2.mga7-6.0.20-6.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.0.20-6.mga7.x86_64

system re-booted normally:

uname-r
5.6.14-desktop-2.mga7

# dkms status
virtualbox, 6.0.20-1.mga7, 5.6.14-desktop-2.mga7, x86_64: installed 
virtualbox, 6.0.20-1.mga7, 5.6.14-desktop-2.mga7, x86_64: installed-binary from 5.6.14-desktop-2.mga7

no regressions observed

vbox and client launched normally

looks OK for mga7-64 on this system:

Mobo: Dell model: 09WH54 v: UEFI [Legacy]: Dell v: 2.13.1 
CPU: Intel Core i7-6700
Graphics: Intel HD Graphics 530 (Skylake GT2)

CC: (none) => jim

Comment 6 Herman Viaene 2020-05-22 15:52:02 CEST
MGA7-64 on Lenovo B50
No installation issues.
Running now, no obvious problems wwith different file types, surfing and NFS-access.

CC: (none) => herman.viaene

Comment 7 Brian Rockwell 2020-05-22 20:02:30 CEST
phys hardware - AMD x2-3800, nouveau (nvidia 6150le)

- cpupower-5.6.14-2.mga7.i586
- kernel-server-5.6.14-2.mga7-1-1.mga7.i586
- kernel-server-latest-5.6.14-2.mga7.i586

---rebooted

$ uname -a
Linux localhost 5.6.14-server-2.mga7 #1 SMP Thu May 21 00:23:13 UTC 2020 i686 i686 i386 GNU/Linux


Apache working
Nextcloud working
samba working

it works

CC: (none) => brtians1

Comment 8 ben mcmonagle 2020-05-23 00:31:15 CEST
Mga7 on real 32bit hardware desktop(LXDE system)

free -m
              total        used        free      shared  buff/cache   available
Mem:            935         413          69          49         453         351
Swap:          6026           0        6026


$ uname -r
5.6.8-desktop-1.mga7


$ lscpu
Architecture:          i686
CPU op-mode(s):        32-bit

AMD Athlon(tm) XP 2400+

Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
                       mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 
                       3dnow cpuid 3dnowprefetch vmmcall

To satisfy dependencies, the following packages are going 
  Package                        Version      Release     
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.14       2.mga7      
  kernel-desktop-5.6.14-2.mga7   1            1.mga7      
  kernel-desktop-latest          5.6.14       2.mga7      
  wireguard-tools                1.0.20200513 1.mga7      
62MB of additional disk space will be used.
56MB of packages will be retrieved.
Proceed with the installation of the 4 packages? (Y/n) 

Creating: target|kernel|dracut args|basicmodules 
remove-boot-splash: Format of /boot/initrd-5.6.14-desktop-2.mga7.img not recognized
You should restart your computer for kernel-desktop-5.6.14-2.mga7
 
(reboot)

$ uname -r
5.4.16-desktop-1.mga7

firefox -ok
usb stick detected and pop-up - ok
playback .mkv sound and video -ok (xine)

CC: (none) => westel

Comment 9 ben mcmonagle 2020-05-23 00:35:57 CEST
should be 

$ uname -r
5.6.14-desktop-2.mga7
Comment 10 ben mcmonagle 2020-05-23 01:48:55 CEST
Mga7 xfce  / linx-7 tablet 32bit UEFI

# lscpu
Architecture:        i686
CPU op-mode(s):      32-bit, 64-bit

Model name:          Intel(R) Atom(TM) CPU  Z3735G @ 1.33GHz

Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm 
constant_tsc arch_perfmon pebs bts xtopology tsc_reliable nonstop_tsc cpuid 
aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 
ssse3 cx16 xtpr pdcm sse4_1 sse4_2 movbe popcnt tsc_deadline_timer aes 
rdrand lahf_lm 3dnowprefetch epb ibrs ibpb stibp tpr_shadow vnmi flexpriority
 ept vpid tsc_adjust smep erms dtherm ida arat md_clear

# lspcidrake
lpc_ich         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Power Control Unit [BRIDGE_ISA] (rev: 0f)
xhci_pci        : Intel Corporation|Atom Processor Z36xxx/Z37xxx, Celeron N2000 Series USB xHCI [SERIAL_USB] (rev: 0f)
Card:Intel 810 and later: Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Graphics & Display [DISPLAY_VGA] (rev: 0f)
mei_txe         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine [CRYPT_OTHER] (rev: 0f)
intel_atomisp2_pm: Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Camera ISP [MULTIMEDIA_OTHER] (rev: 0f)
unknown         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register [BRIDGE_HOST] (rev: 0f)
hub             : Linux 5.3.13-desktop-2.mga7 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Unknown Manufacturer|USB2.0 HUB [Hub|Unused|Full speed (or root) hub]
usbhid          : Logitech|USB Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
usbhid          : Logitech|USB Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 5.3.13-desktop-2.mga7 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : Logitech USB Keyboard
hid_generic     : Logitech USB Optical Mouse
hid_generic     : Logitech USB Keyboard

$ uname -r
5.6.8-desktop586-1.mga7

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.14       2.mga7        i586    
  kernel-desktop586-5.6.14-2.mg> 1            1.mga7        i586    
  kernel-desktop586-latest       5.6.14       2.mga7        i586    
  kernel-userspace-headers       5.6.14       2.mga7        i586    
62MB of additional disk space will be used.
57MB of packages will be retrieved.
Proceed with the installation of the 4 packages? (Y/n) y

reboot

$ uname -r
5.6.14-desktop586-2.mga7

wifi at desktop -ok.
wifi -ok
firefox -ok
USB stick detected and file browserr popup
VLC video and audio playback of .mkv file - ok
Comment 11 Brian Rockwell 2020-05-23 03:24:48 CEST
Phys Hardware - AMD x3-450, Nvidia 730GT (390 driver), Xfce

- cpupower-5.6.14-2.mga7.x86_64
- kernel-desktop-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.6.14-2.mga7.x86_64
- kernel-desktop-latest-5.6.14-2.mga7.x86_64
- microcode-0.20200520-1.mga7.nonfree.noarch


Rebooted

-----

$ uname -a
Linux localhost 5.6.14-desktop-2.mga7 #1 SMP Wed May 20 23:14:20 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


System has been functioning normally for hours without any issues.
Comment 12 ben mcmonagle 2020-05-23 04:50:08 CEST
 Mga7 x86-64 all DE install (Plasma DE)
 
 Asus U31SD
 
 lscpu:
 ....
 Model name:          Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz

 
 lspcidrake
 ...
 Card:NVIDIA GeForce 420 to GeForce 630: NVIDIA Corporation|GF119M [GeForce GT 520M] [DISPLAY_VGA] (rev: a1)

uname -r
5.6.8-desktop-1.mga7

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.14       2.mga7        x86_64  
  kernel-desktop-5.6.14-2.mga7   1            1.mga7        x86_64  
  kernel-desktop-devel-5.6.14-2> 1            1.mga7        x86_64  
  kernel-desktop-devel-latest    5.6.14       2.mga7        x86_64  
  kernel-desktop-latest          5.6.14       2.mga7        x86_64  
  kernel-userspace-headers       5.6.14       2.mga7        x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  microcode                      0.20200520   1.mga7.nonfr> noarch  
115MB of additional disk space will be used.
77MB of packages will be retrieved.
Proceed with the installation of the 7 packages? (Y/n) y

nvidia390 (390.132-6.mga7.nonfree): Installing module.
..................................
........
Creating: target|kernel|dracut args|basicmodules 
You should restart your computer for kernel-desktop-5.6.14-2.mga7

reboot

uname -r
5.6.14-desktop-2.mga7

working desktop

firefox -ok
wifi ok
nvidia -ok
Vlc media plyback from usb ok (.avi)
Comment 13 Morgan Leijström 2020-05-23 10:38:01 CEST
Quick note:  I have no time to investigate right now:

On my workstation Nvidia CUDA may be broken since kernel update; i see all BOINC GPUGRID jobs have failed since kernel update.  Will investigate later.

CC: (none) => fri

Comment 14 Morgan Leijström 2020-05-23 10:42:37 CEST
32 bit OK on Thinkpad T40, including suspend and hibernate and resuming OK.

64 bit OK on Aspire 7 A717-71G, running Plasma
Intel i5, Nvidia and Intel GPU:s but only intel is configured, as per default in Mageia installer.  M2 SSD with encrypted LVM.
Comment 15 Morgan Leijström 2020-05-23 11:55:40 CEST
Forget comment 13: CUDA is OK.
The issue was the result of a glitch between my ears.
Comment 16 Morgan Leijström 2020-05-24 02:50:44 CEST
64 bit OK

My machine "svarten": Mainboard: Sabertooth P67, CPU: i7-3770, RAM 16G, Nvidia GTX760 (GK104) using nvidia-current; GeForce 635 series and later, 4k display.  Also the new firmwares installed.

Disk&Filesystem: SSD with EFI and ext 4 /boot, then an encrypted partition for LVM, containing swap and ext4 /home & /

Plasma desktop
Thunderbird, LibreOffice, FreeCad, Ktorrent, Syncthing, Nextcloud client...
Video with sound in Firefox
CUDA and OpenCL detected and used by BOINC.
Stress test: BOINC use all cores to 100%, videos do not stutter.

Also virtualbox 6.0.20 seem OK running MSW7 64 bit guest incl folder sharing, USB, bidirectional clipboard, dynamic guest window resizing. All as usual, need to free 2 CPU from BOINC to avoid video stutter in guest firefox.

Installed and rebooted before testing: 

- cpupower-5.6.14-2.mga7.x86_64
- kernel-desktop-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-5.6.14-2.mga7-1-1.mga7.x86_64
- kernel-desktop-devel-latest-5.6.14-2.mga7.x86_64
- kernel-desktop-latest-5.6.14-2.mga7.x86_64
- kernel-firmware-nonfree-20200519-1.mga7.nonfree.noarch
- kernel-userspace-headers-5.6.14-2.mga7.x86_64
- virtualbox-kernel-5.6.14-desktop-2.mga7-6.0.20-6.mga7.x86_64
- virtualbox-kernel-desktop-latest-6.0.20-6.mga7.x86_64

and
- microcode-0.20200520-1.mga7.nonfree.noarch
Thomas Backlund 2020-05-24 18:43:20 CEST

Whiteboard: (none) => MGA7-64-OK MGA7-32-OK
Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 17 Mageia Robot 2020-05-24 20:06:47 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2020-0227.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.